package com.fjhx.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 分类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class Classify extends BaseEntity {

    /**
     * 类型 （1:产品分类 2:物料分类）
     */
    private Integer type;

    /**
     * 父级分类id
     */
    private Long parentId;

    /**
     * 父级分类id集合，用,拼接
     */
    private String parentIdSet;

    /**
     * 分类名称
     */
    private String name;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;

}
