package com.fjhx.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 库存
 * </p>
 *
 * @author ${author}
 * @since 2022-08-10
 */
@Data
public class Stock implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 物品id
     */
    private Long goodsId;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 租户id
     */
    private String tenantId;

}
