package com.fjhx.mapper.process;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.process.ProcessTenant;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 租户流程表 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-08-16
 */
public interface ProcessTenantMapper extends BaseMapper<ProcessTenant> {

    Page<Map<String, Object>> getPage(@Param("page") Page<ProcessTenant> page, @Param("ew") QueryWrapper<?> wrapper);

    ProcessTenant getProcessTenant(@Param("code") String code, @Param("tenantId") String tenantId);

}
