package com.fjhx.entity.maintain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 维护记录
 * </p>
 *
 * @author ${author}
 * @since 2022-11-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MaintainRecords extends BaseEntity {


    /**
     * 设备id
     */
    private Long deviceId;

    /**
     * 设备名称
     */
    private Long deviceName;

    /**
     * 类型 1设备 2软件
     */
    private Integer type;

    /**
     * 维护人
     */
    private String maintainUser;

    /**
     * 维护时间
     */
    private Date maintainTime;

    /**
     * 维护内容
     */
    private String maintainContent;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;

}
