package com.fjhx.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 文件
 * </p>
 *
 * @author ${author}
 * @since 2022-07-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FileInfo extends BaseEntity {

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 文件后缀
     */
    private String fileSuffix;

    /**
     * 文件类型
     */
    private String contentType;

    /**
     * 文件大小
     */
    private Long fileSize;

    /**
     * 文件路径
     */
    private String filePath;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 业务类型
     */
    private Integer businessType;

    /**
     * 模块名称
     */
    private String applicationName;

    /**
     * 时长
     */
    private Long duration;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;

}
