package com.fjhx.entity.video;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author ${author}
 * @since 2022-08-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class VideoInfo extends BaseEntity {


    /**
     * 分类id
     */
    private Long videoClassifyId;

    /**
     * 标题
     */
    private String title;

    /**
     * 状态 1审核中 2已发布
     */
    private Integer status;

    /**
     * 总时长
     */
    private Long duration;

    /**
     * 文件大小（kb）
     */
    private Long size;

    /**
     * 说明
     */
    private String richText;

    /**
     * 视频播放量
     */
    private Long playbackVolume;

    /**
     * 视频数量
     */
    private Integer videoNum;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
