package com.fjhx.entity.material;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.base.BasicEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 物料分类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("material_category")
public class MaterialCategory extends BasicEntity {

    /**
     * 软删除
     */
    @TableLogic
    @TableField("IsDelete")
    private Integer IsDelete;

    /**
     * 创建时间
     */
    @TableField("CreatedTime")
    private Date CreatedTime;

    /**
     * 修改时间
     */
    @TableField("UpdatedTime")
    private Date UpdatedTime;

    /**
     * 编码
     */
    @TableField("Code")
    private String Code;

    /**
     * 名称
     */
    @TableField("Name")
    private String Name;

    /**
     * 跳转链接
     */
    @TableField("ParentCode")
    private String ParentCode;

    /**
     * 是否选择
     */
    @TableField("IsForChose")
    private Integer IsForChose;

    /**
     * 仓库
     */
    @TableField("Warehouse")
    private String Warehouse;

    /**
     * 拓展表名称
     */
    @TableField("ExtTableName")
    private String ExtTableName;


}
