package com.fjhx.entity.plan;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author ${author}
 * @since 2023-01-06
 */
@Data
public class PlanConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;


    /**
     * 配置编码
     */
    private String code;

    /**
     * 部门id集合
     */
    private String deptIdSet;

    /**
     * 不属于分类编码
     */
    private String notCategoryCodeSet;

    /**
     * 开始时间
     */
    private String beginTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 天数
     */
    private Integer days;

    /**
     * 其他配置
     */
    private String other;


}
