package com.fjhx.entity.stock;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 *
 * </p>
 *
 * @author ${author}
 * @since 2022-08-31
 */
@Data
public class StockBackDetails implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 退仓面料id
     */
    private Long stockBackId;

    /**
     * 物料id
     */
    private String materialId;

    /**
     * 米数
     */
    private BigDecimal materialMeters;

    /**
     * 原米数（复核之前米数）
     */
    private BigDecimal oldMaterialMeters;

    /**
     * 二维码
     */
    private String rfid;

    /**
     * 审批状态(0审批中 1已审批)
     */
    private Integer flowStatus;

    /**
     * 审批数据
     */
    private String flowData;

}
