package com.fjhx.entity.stock;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author ${author}
 * @since 2022-09-02
 */
@Data
public class StockBackPlanDetails implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 排班物料
     */
    private String planMaterial;

    /**
     * tech
     */
    private String tech;

    /**
     * 排班日期
     */
    private Date planTime;

    /**
     * 排班面积
     */
    private BigDecimal quantity;

    /**
     * 工号
     */
    private String jobNo;

    /**
     * 修正面积
     */
    private BigDecimal correctArea;

    /**
     * 领料金额
     */
    private BigDecimal pickingMoney;

    /**
     * 领料数量
     */
    private Integer pickingNum;

    /**
     * 领料米数
     */
    private BigDecimal pickingMeters;

    /**
     * 领料面积
     */
    private BigDecimal pickingArea;

    /**
     * 退料金额
     */
    private BigDecimal backMoney;

    /**
     * 退料数量
     */
    private Integer backNum;

    /**
     * 退料米数
     */
    private BigDecimal backMeters;

    /**
     * 退料面积
     */
    private BigDecimal backArea;

    /**
     * 转入金额
     */
    private BigDecimal transferInMoney;
    /**
     * 转入数量
     */
    private Integer transferInNum;
    /**
     * 转入米数
     */
    private BigDecimal transferInMeters;
    /**
     * 转入面积
     */
    private BigDecimal transferInArea;

    /**
     * 转出金额
     */
    private BigDecimal transferOutMoney;
    /**
     * 转出数量
     */
    private Integer transferOutNum;
    /**
     * 转出米数
     */
    private BigDecimal transferOutMeters;
    /**
     * 转出面积
     */
    private BigDecimal transferOutArea;

    /**
     * 布头布尾面料
     */
    private BigDecimal headTailCorrectArea;

    /**
     * 创建时间
     */
    private Date createTime;


}
