package com.fjhx.entity.u;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;

import com.fjhx.base.BasicEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 管理员
 * </p>
 *
 * @author ${author}
 * @since 2022-11-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class UUser extends BasicEntity {


    /**
     * 软删除
     */
    @TableLogic
    @TableField("IsDelete")
    private Boolean IsDelete;

    /**
     * 创建时间
     */
    @TableField("CreatedTime")
    private Date CreatedTime;

    /**
     * 修改时间
     */
    @TableField("UpdatedTime")
    private Date UpdatedTime;

    /**
     * 手机号码
     */
    @TableField("Mobile")
    private String Mobile;

    /**
     * 真实姓名
     */
    @TableField("RealName")
    private String RealName;

    /**
     * 部门ID
     */
    @TableField("DepartmentIDStr")
    private String DepartmentIDStr;

    /**
     * 用户状态 是否离职
     */
    @TableField("IsQuit")
    private Boolean IsQuit;

    /**
     * 离职时间
     */
    @TableField("QuitTime")
    private Date QuitTime;

    @TableField("IsSuperAdmin")
    private Boolean IsSuperAdmin;

    /**
     * 工号
     */
    @TableField("JobNo")
    private String JobNo;

    /**
     * 身份证
     */
    @TableField("IDCard")
    private String IDCard;

    /**
     * 是否是负责人
     */
    @TableField("IsLeader")
    private Boolean IsLeader;

    /**
     * 人脸照片
     */
    @TableField("FaceImagUrl")
    private String FaceImagUrl;

    /**
     * 第三方人脸id
     */
    @TableField("FaceID")
    private String FaceID;

    /**
     * 用户状态 是否在线可接单
     */
    @TableField("IsOnLine")
    private Boolean IsOnLine;

    /**
     * 性别 （枚举定义：0=未知，1=男，2=女）
     */
    @TableField("SexCode")
    private Integer SexCode;

    /**
     * 角色ID
     */
    @TableField("RoleKey")
    private String RoleKey;

    /**
     * 部门ID
     */
    @TableField("DepartmentID")
    private String DepartmentID;


}
