package com.fjhx.entity.common;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 公共配置
 * </p>
 *
 * @author ${author}
 * @since 2022-08-05
 */
@Data
public class CommonConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * key
     */
    private String configKey;

    /**
     * value
     */
    private String configValue;


}
