package com.fjhx.entity.supplier;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.StorageBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 供应商维护记录
 * </p>
 *
 * @author ${author}
 * @since 2022-08-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SupplierKeep extends StorageBaseEntity {


    /**
     * 供应商ID
     */
    private Long supplierId;

    /**
     * 照片
     */
    private Long fileLinkedId;

    /**
     * 标题
     */
    private String title;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
