package com.fjhx.entity.product;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 产品
 * </p>
 *
 * @author ${author}
 * @since 2022-07-14
 */
@Data
public class ProductEx implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 产品id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 型号
     */
    private String model;

    /**
     * 生产流程id
     */
    private Long workingRouteId;


}
