package com.fjhx.entity.production;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * <p>
 * 生产线
 * </p>
 *
 * @author ${author}
 * @since 2022-06-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProductionLine extends BaseEntity {


    /**
     * 所属车间id
     */
    private Long productionWorkshopId;

    /**
     * 生产线名称
     */
    private String name;

    /**
     * 产能
     */
    private BigDecimal capacity;

    /**
     * 产线说明
     */
    private String introduce;

    /**
     * 启用状态 1启用 0禁用
     */
    private Integer status;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;

}
