package com.fjhx.entity.production;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 生产车间
 * </p>
 *
 * @author ${author}
 * @since 2022-07-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProductionWorkshop extends BaseEntity {

    /**
     * 车间类型 1无人车间 2半自动车间 3普通车间
     */
    private Integer type;

    /**
     * 车间名称
     */
    private String name;

    /**
     * 负责人id
     */
    private Long responsibleUserId;

    /**
     * 车间说明
     */
    private String introduce;

    /**
     * 启用状态 1启用 0禁用
     */
    private Integer status;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
