package com.fjhx.entity.working;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 工艺路线工序关联表
 * </p>
 *
 * @author ${author}
 * @since 2022-07-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class WorkingRouteProcedure extends BaseEntity {


    /**
     * 工艺路线id
     */
    private Long workingRouteId;

    /**
     * 工序id
     */
    private Long workingProcedureId;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
