package com.fjhx.params.bom;

import com.fjhx.entity.FileInfo;
import com.fjhx.entity.bom.Bom;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * bom
 *
 * @author ${author}
 * @since 2022-07-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BomEx extends Bom {

    /**
     * 最近维护人
     */
    private String updateUserName;

    /**
     * 产品类型
     */
    private Integer productType;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 分类名称
     */
    private String classifyName;

    /**
     * 文件信息
     */
    private FileInfo fileInfo;

}
