package com.fjhx.params.bom;

import com.fjhx.entity.FileInfo;
import com.fjhx.entity.bom.Bom;
import com.fjhx.entity.bom.BomDetails;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * bom
 *
 * @author ${author}
 * @since 2022-07-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BomVo extends Bom {

    /**
     * 新增类型
     * 1、新增产品bom
     * 2、新建版本
     */
    private Integer addType;

    /**
     * bom明细
     */
    private List<BomDetails> bomDetailsList;

    /**
     * 文件信息
     */
    private FileInfo fileInfo;

    /**
     * 删除bomId
     */
    private List<Long> deleteBomIdList;

}
