package com.fjhx.params.working;

import com.fjhx.entity.working.WorkingProcedure;
import com.fjhx.entity.working.WorkingRoute;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 工艺路线
 *
 * @author ${author}
 * @since 2022-07-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class WorkingRouteEx extends WorkingRoute {

    /**
     * 工序列表
     */
    private List<WorkingProcedure> workingProcedureList;

    /**
     * 工艺路线拼接
     */
    private String workingProcedureGroup;

    /**
     * 适用产品拼接
     */
    private String productGroup;

}
