package com.fjhx.params.working;

import com.fjhx.entity.working.WorkingRoute;
import com.fjhx.entity.working.WorkingRouteProcedure;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 工艺路线
 *
 * @author ${author}
 * @since 2022-07-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class WorkingRouteVo extends WorkingRoute {

    /**
     * 工序集合
     */
    private List<WorkingRouteProcedure> workingRouteProcedureList;

    /**
     * 产品id集合
     */
    private List<Long> productIdList;

}
