package com.fjhx.constants;

/**
 * 锁常量
 */
public interface VLockConstant {

    /**
     * 添加前缀，防止其他模块出现共用一把锁的情况
     */
    String PREFIX = "library-storage-";

    /**
     * 保证库存物品数量准确
     */
    String STOCK_LOCK = PREFIX + "stock-lock-";


}
