package com.fjhx.entity.abnormal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 异常记录
 * </p>
 *
 * @author ${author}
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AbnormalInfo extends BaseEntity {


    /**
     * 异常类型
     */
    private Integer type;

    /**
     * 关联id
     */
    private Long linkId;

    /**
     * 关联编码
     */
    private String linkCode;

    /**
     * 标题
     */
    private String title;

    /**
     * 状态 0未处理 1已处理
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
