package com.fjhx.entity.check;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author ${author}
 * @since 2022-12-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CheckDetails extends BaseEntity {


    /**
     * 盘点id
     */
    private Long checkInfoId;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 库存数量
     */
    private BigDecimal inventoryQuantity;

    /**
     * 盘点数量
     */
    private BigDecimal checkQuantity;

    /**
     * 盘点结果 0正常 1盘盈 2盘亏
     */
    private Integer resultType;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
