package com.fjhx.entity.order;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 售后跟进
 * </p>
 *
 * @author ${author}
 * @since 2022-12-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class OrderFollow extends BaseEntity {


    /**
     * 订单id
     */
    private Long orderInfoId;

    /**
     * 售后状态 1跟进中(补发中、未补发未收到退货) 2已补发 3未补发收到退货 4已补发收到退货 5已补发未收到退货 6结束
     */
    private Integer afterSalesStatus;

    /**
     * 跟进说明
     */
    private String remark;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
