package com.fjhx.entity.product;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author ${author}
 * @since 2022-11-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProductCombination extends BaseEntity {

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 关联产品id
     */
    private Long linkProductId;

    /**
     * 关联产品数量
     */
    private BigDecimal linkQuantity;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;

}
