package com.fjhx.entity.supplier;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 供应商价格
 * </p>
 *
 * @author ${author}
 * @since 2022-11-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SupplierPrice extends BaseEntity {


    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * 物料id
     */
    private Long materialId;

    /**
     * 单价
     */
    private BigDecimal price;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
