package com.fjhx.params.excel;

import lombok.Data;

@Data
public class ExcelProcessingProgress {

    /**
     * 1、预处理 2、解析中 3、处理中 4、发生异常 5、已完成 6、用户取消
     */
    Integer status;

    /**
     * 进度百分比
     */
    Integer percentage;

    /**
     * 异常提示
     */
    String errorMsg;

}
