package com.fjhx.params.order;

import com.fjhx.entity.order.OrderInfo;
import com.fjhx.utils.RegionClientUtil;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 销售订单
 *
 * @author ${author}
 * @since 2022-12-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class OrderInfoEx extends OrderInfo implements RegionClientUtil.Region {
    /**
     * 客户名称
     */
    private String customerName;

    private String countryName;

    private String provinceName;

    private String cityName;

    /**
     * 订单明细
     */
    List<OrderDetailsEx> orderDetailsList;

}
