package com.fjhx.params.stock;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class PageByProductVo {

    /**
     * 定义 1物料 2产品
     */
    private Integer productDefinition;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 产品规格
     */
    private String productSpecs;

    /**
     * 产品单位
     */
    private String productUnit;

    /**
     * 库存数量
     */
    private BigDecimal quantity;

    /**
     * 冻结数量
     */
    private BigDecimal frozenQuantity;

}
