package com.fjhx.demo.entity;

import lombok.Data;

/**
 * 租户信息
 */
@Data
public class CreateTenantVo {

    /**
     * 租户id(必填)
     */
    private String tenantId;

    /**
     * 租户名称(必填)
     */
    private String tenantName;

    /**
     * 联系人(非必填，为空时用租户名称赋值)
     */
    private String linkman;

    /**
     * 联系电话(非必填)
     */
    private String contactNumber;

    /**
     * 昵称(非必填，为空时用租户名称赋值)
     */
    private String name;

    /**
     * 真名(非必填，为空时用租户名称赋值)
     */
    private String realName;

    /**
     * 账号(必填)
     */
    private String account;

    /**
     * 密码(非必填，为空时生成随机6位数密码)
     */
    private String password;

}
