package com.fjhx.mapper.stock;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.stock.Stock;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 库存表 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-09-22
 */
public interface StockMapper extends BaseMapper<Stock> {

    List<Map<String, Object>> statistics();

    Page<Map<String, Object>> getPage(@Param("page") Page<Object> page, @Param("ew") QueryWrapper<?> wrapper);

}
