package com.fjhx.applet.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.base.BaseEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface MaterialReceiveMapper extends BaseMapper<BaseEntity> {

    List<Map<String, Object>> selectWaterDetail();

    void updateReceive(@Param("idList") List<String> idList,
                       @Param("ApproveBillState") Integer ApproveBillState,
                       @Param("StockChangeType") Integer StockChangeType,
                       @Param("PickingStatus") Integer PickingStatus,
                       @Param("FlowLinkId") String FlowLinkId
    );

    List<Map<String, Object>> getList(@Param("account") String account);

    Integer countNum(@Param("account") String account);

    void insertFlowApplyCheck(@Param("id") String id,
                              @Param("flowId") String flowId,
                              @Param("nodeId") String nodeId,
                              @Param("preNodeId") String preNodeId,
                              @Param("nextNodeId") String nextNodeId,
                              @Param("checkUserId") String checkUserId,
                              @Param("checkState") String checkState,
                              @Param("suggestions") String suggestions,
                              @Param("linkId") String linkId,
                              @Param("approvalItem") String approvalItem
    );

    List<Map<String, Object>> flowDetails(@Param("linkId") String linkId);

    void updatePickingStatus(@Param("flowLinkId") String flowLinkId, @Param("checkState") String checkState);

}
