package com.fjhx.stock.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.entity.stock.StockBackDetails;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-08-31
 */
public interface StockBackDetailsMapper extends BaseMapper<StockBackDetails> {

    List<Map<String, Object>> getPickingList(@Param("ew") QueryWrapper<Object> wrapper,
                                             @Param("tech") String tech,
                                             @Param("beginTime") Date beginTime,
                                             @Param("endTime") Date endTime);

    List<Map<String, Object>> getReturnMaterialList(@Param("ew") QueryWrapper<Object> wrapper,
                                                    @Param("tech") String tech,
                                                    @Param("beginTime") Date beginTime,
                                                    @Param("endTime") Date endTime);

    List<Map<String, Object>> getCorrectList(@Param("ew") QueryWrapper<Object> wrapper,
                                             @Param("tech") String tech,
                                             @Param("beginTime") Date beginTime,
                                             @Param("endTime") Date endTime);

}
