package com.fjhx.supplier.mapper;

import com.fjhx.entity.supplier.SupplierPricechange;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springblade.core.tenant.annotation.TenantIgnore;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 供应商价格变更记录 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-07-14
 */
public interface SupplierPricechangeMapper extends BaseMapper<SupplierPricechange> {

    /**
     * 列表--根据供应商ID
     * @return
     */
    @TenantIgnore
    List<SupplierPricechange> getListBySupplierId(Map<String,Object> condition);

    /**
     * 列表条数--根据供应商ID
     * @return
     */
    @TenantIgnore
    Integer getListCountBySupplierId(Map<String,Object> condition);

}
