package com.fjhx.controller.logistics;

import com.fjhx.params.logistics.LogisticsCompanyVo;
import com.fjhx.service.logistics.LogisticsCompanyService;
import org.springblade.core.tool.api.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 物流公司 前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-12-07
 */
@RestController
@RequestMapping("/logistics/company")
public class LogisticsCompanyController {

    @Autowired
    private LogisticsCompanyService logisticsCompanyService;

    @PostMapping("/select")
    public R select(@RequestBody LogisticsCompanyVo logisticsCompanyVo) {
        return R.success(logisticsCompanyService.select(logisticsCompanyVo));
    }

}

