package com.fjhx.mapper.logistics;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.entity.logistics.LogisticsDetails;
import com.fjhx.params.stock.GetLogisticsDetailsVo;

import java.util.List;

/**
 * <p>
 * 物流明细 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-11-30
 */
public interface LogisticsDetailsMapper extends BaseMapper<LogisticsDetails> {

    /**
     * 根据物流单ID查询物流明细
     *
     * @param logisticsInfoId 物流单ID
     * @return
     */
    List<GetLogisticsDetailsVo> getByLogisticsInfoId(Long logisticsInfoId);

}
