package com.fjhx.mapper.logistics;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.logistics.LogisticsInfo;
import com.fjhx.utils.wrapperUtil.IWrapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 物流信息 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-11-30
 */
public interface LogisticsInfoMapper extends BaseMapper<LogisticsInfo> {

    /**
     * 采购入库列表
     *
     * @param page    分页信息
     * @param wrapper 查询条件
     * @return
     */
    Page<LogisticsInfo> getPurchaseInStockPage(@Param("page") Page<LogisticsInfo> page, @Param("ew") IWrapper<LogisticsInfo> wrapper);
}
