package com.fjhx.mapper.product;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.product.ProductInfo;
import com.fjhx.params.product.ProductCombinationEx;
import com.fjhx.utils.wrapperUtil.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-11-29
 */
public interface ProductInfoMapper extends BaseMapper<ProductInfo> {


    Page<Map<String, Object>> getPage(@Param("page") Page<ProductInfo> page, @Param("ew") IWrapper<ProductInfo> wrapper);

    Page<ProductCombinationEx> getCombinationPage(@Param("page") Page<ProductInfo> page, @Param("ew") IWrapper<Object> wrapper);

}
