package com.fjhx.mapper.stock;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.stock.StockCombination;
import com.fjhx.params.stock.StockCombinationPageVo;
import com.fjhx.utils.wrapperUtil.IWrapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 产品组合记录 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2023-02-16
 */
public interface StockCombinationMapper extends BaseMapper<StockCombination> {

    Page<StockCombinationPageVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Object> wrapper);

}
