package com.fjhx.service.stock;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.stock.StockCombination;
import com.fjhx.params.stock.GetQuantityByWarehouseIdDto;
import com.fjhx.params.stock.StockCombinationPageDto;
import com.fjhx.params.stock.StockCombinationPageVo;

/**
 * <p>
 * 产品组合记录 服务类
 * </p>
 *
 * @author ${author}
 * @since 2023-02-16
 */
public interface StockCombinationService extends BaseService<StockCombination> {

    Page<StockCombinationPageVo> getPage(StockCombinationPageDto dto);

    void add(StockCombination stockCombination);

    int getQuantityByWarehouseId(GetQuantityByWarehouseIdDto getQuantityByWarehouseIdDto);

}
