package com.fjhx.entity;

import com.fjhx.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * <p>
 * 订单流程备份
 * </p>
 *
 * @author ${author}
 * @since 2022-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class OrderFlow extends BaseEntity {

    /**
     * 申购单id
     */
    private Long applyPurchaseId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 单价
     */
    private BigDecimal unitPrice;

    /**
     * 采购备注
     */
    private String remark;

}
