package com.fjhx;

import org.springblade.core.cloud.feign.EnableBladeFeign;
import org.springblade.core.launch.BladeApplication;
import org.springframework.cloud.client.SpringCloudApplication;

/**
 * 针筒物联网管理模块启动器
 */
@EnableBladeFeign
@SpringCloudApplication
public class ServiceFlowApplication {

    private static final String APP_NAME = "service-flow";

    public static void main(String[] args) {
        BladeApplication.run(APP_NAME, ServiceFlowApplication.class, args);
    }

}
