package com.fjhx.entity.qa;

import com.baomidou.mybatisplus.annotation.*;
import com.fjhx.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * qa
 * </p>
 *
 * @author ${author}
 * @since 2022-11-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class QaInfo extends BaseEntity {


    /**
     * 问
     */
    private String question;

    /**
     * 答
     */
    private String answer;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;

}
