package com.fjhx.entity.example;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 实例明细
 * </p>
 *
 * @author ${author}
 * @since 2022-08-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ExampleDetails extends BaseEntity {


    /**
     * 实例id
     */
    private Long exampleInfoId;

    /**
     * 流程id
     */
    private Long processInfoId;

    /**
     * 租户流程id
     */
    private Long processTenantId;

    /**
     * 所在节点id
     */
    private Long processNodeId;

    /**
     * 节点处理按钮id
     */
    private Long processNodeButtonId;

    /**
     * 按钮名称类型
     */
    private Integer nameType;

    /**
     * 处理用户id
     */
    private Long handleUserId;

    /**
     * 发起原因/处理意见
     */
    private String remarks;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
