package com.fjhx.entity.process;

import com.fjhx.base.BaseIdEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 租户流程表
 * </p>
 *
 * @author ${author}
 * @since 2022-08-16
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ProcessTenant extends BaseIdEntity {

    /**
     * 流程id
     */
    private Long processInfoId;

    /**
     * 流程名称
     */
    private String name;

    /**
     * 绑定租户id
     */
    private String bindingTenantId;

    /**
     * 版本号
     */
    private Integer versionNumber;

    /**
     * 是否当前版本
     */
    private Integer currentVersion;

    private String nodeObject;

    private String lineObject;

}
