package com.fjhx.entity.material;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 物料接收明细
 * </p>
 *
 * @author ${author}
 * @since 2022-10-11
 */
@Data
public class MaterialReceivingDetails implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 物料接收id
     */
    private Long materialReceivingId;

    /**
     * rfid
     */
    private String rfid;

    /**
     * 领料状态 1审批中 2待处理 3确认接收 4退回 5退回已忽略
     */
    private Integer status;

    /**
     * 接收时间
     */
    private Date handleTime;

}
