package com.fjhx.entity.stock;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 仓库
 * </p>
 *
 * @author ${author}
 * @since 2022-08-01
 */
@Data
public class StockArea implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "ID", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 软删除
     */
    @TableField("IsDelete")
    private Boolean isdelete;

    /**
     * 创建时间
     */
    @TableField("CreatedTime")
    private Date createdtime;

    /**
     * 修改时间
     */
    @TableField("UpdatedTime")
    private Date updatedtime;

    /**
     * 仓库名称
     */
    @TableField("Name")
    private String name;

    /**
     * 仓库名称
     */
    @TableField("StockHouseId")
    private String stockhouseId;

    /**
     * 仓库名称
     */
    @TableField("Remark")
    private String remark;

}
