package com.fjhx.entity.stock;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 出/入库单
 * </p>
 *
 * @author ${author}
 * @since 2022-04-12
 */
@Data
@TableName("t_stock_inoutbill")
public class StockInoutbill implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 排班物料名称
     */
    private String schedulingMaterial;

    /**
     * 应领料数量
     */
    private BigDecimal quantity;

    /**
     * 工号
     */
    private Long jobNo;

    /**
     * 排班时间
     */
    private Date deviationTime;

    /**
     * 创建时间
     */
    private Date createTime;

}
