package com.fjhx.entity.stock;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 转仓
 * </p>
 *
 * @author ${author}
 * @since 2022-09-13
 */
@Data
public class StockTransferDetails implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 转仓id
     */
    private Long stockTransferId;

    /**
     * 物料id
     */
    private String materialId;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 复合之前的数量
     */
    private BigDecimal oldQuantity;


}
