package com.fjhx.entity.apply;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.StorageBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * <p>
 * 物料申购明细
 * </p>
 *
 * @author ${author}
 * @since 2022-09-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ApplyPurchaseDetails extends StorageBaseEntity {


    /**
     * 申购id
     */
    private Long applyPurchaseId;

    /**
     * 申购编码
     */
    private String applyPurchaseCode;

    /**
     * 物料id
     */
    private Long materialId;

    /**
     * 申购数量
     */
    private BigDecimal quantity;

    /**
     * 用途
     */
    private String purpose;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;

    private String oldId;


}
