package com.fjhx.entity.material;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.fjhx.base.StorageBaseEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 物料分类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MaterialClassify extends StorageBaseEntity {


    /**
     * 父级分类id
     */
    private Long parentId;

    /**
     * 父级分类id集合，用,拼接
     */
    private String parentIdSet;

    /**
     * 分类名称
     */
    private String name;

    /**
     * 分类编码
     */
    private String code;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
