package com.fjhx.entity.supplier;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.StorageBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 供应商收款账户
 * </p>
 *
 * @author ${author}
 * @since 2022-08-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SupplierBank extends StorageBaseEntity {


    /**
     * 供应商ID
     */
    private Long supplierId;

    /**
     * 对公户名
     */
    private String accountName;

    /**
     * 开户银行
     */
    private String openBank;

    /**
     * 对公账号
     */
    private String bankAccount;

    /**
     * 对私户名
     */
    private String privateAccountName;

    /**
     * 开户银行
     */
    private String privateOpenBank;

    /**
     * 对私账号
     */
    private String privateBankAccount;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
