package com.fjhx.entity.water;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import com.fjhx.base.StorageBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 退料
 * </p>
 *
 * @author ${author}
 * @since 2022-10-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class WaterBack extends StorageBaseEntity {


    /**
     * 操作数量
     */
    private Integer number;

    /**
     * 操作米数
     */
    private BigDecimal quantity;

    /**
     * 0 未复核 1已复核
     */
    private Integer status;

    /**
     * 复核人id
     */
    private Long checkerId;

    /**
     * 复核时间
     */
    private Date checkerTime;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;

    private String oldId;


}
