package com.fjhx.entity.bom;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * bom
 * </p>
 *
 * @author ${author}
 * @since 2022-07-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class Bom extends BaseEntity {

    /**
     * 1产品bom 2包装bom
     */
    private Integer type;

    /**
     * 包装bom名称
     */
    private String packName;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 版本号
     */
    private String edition;

    /**
     * 是否当前版本 1是 0否
     */
    private Integer currentEdition;

    /**
     * bom说明
     */
    private String introduce;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
