package com.fjhx.entity.working;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 工序
 * </p>
 *
 * @author ${author}
 * @since 2022-07-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class WorkingProcedure extends BaseEntity {


    /**
     * 工序名称
     */
    private String name;

    /**
     * 工序说明
     */
    private String introduce;

    /**
     * 是否包装
     */
    private Integer whetherPacking;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
