package com.fjhx.params.production;

import com.fjhx.entity.FileInfo;
import com.fjhx.entity.production.ProductionLine;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 生产线
 *
 * @author ${author}
 * @since 2022-06-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProductionLineEx extends ProductionLine {

    /**
     * 所属车间名称
     */
    private String productionWorkshopName;

    /**
     * 文件信息
     */
    private List<FileInfo> fileInfoList;

}
