package com.fjhx.entity.data;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 灭菌柜数据
 * </p>
 *
 * @author ${author}
 * @since 2022-11-22
 */
@Data
public class DataAutoclaves implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 设备id
     */
    private String machineId;

    /**
     * 灭菌柜数据
     */
    private String jsonData;

    /**
     * 创建时间
     */
    private Date createTime;

}
