package com.fjhx.entity.factory;

import com.fjhx.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author ${author}
 * @since 2022-12-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FactoryProduct extends BaseEntity {


    /**
     * tda设备id
     */
    private Long tdaDeviceId;

    /**
     * tda设备id
     */
    private String deviceId;

    /**
     * 自定义设备名称
     */
    private String name;

    /**
     * 设备编号
     */
    private String equipmentNo;

    /**
     * ip地址
     */
    private String ipAddress;

    /**
     * 端口号
     */
    private Integer port;

    /**
     * 设备类型  1 注塑机 2 滚印机 3 组装机 4 螺纹头 5 注射针 6经编机 7验布机
     */
    private Integer type;

    /**
     * 备注
     */
    private String remark;


}
