package com.fjhx.entity.abnormal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 异常处理详情
 * </p>
 *
 * @author ${author}
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AbnormalDetails extends BaseEntity {


    /**
     * 异常记录id
     */
    private Long abnormalInfoId;

    /**
     * 处理说明
     */
    private String explain;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
