package com.fjhx.entity.check;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author ${author}
 * @since 2022-12-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CheckInfo extends BaseEntity {


    /**
     * 盘点单号
     */
    private String code;

    /**
     * 盘点仓库id
     */
    private Long warehouseId;

    /**
     * 盘点金额
     */
    private BigDecimal amount;

    /**
     * 盘点结论 0正常 1异常
     */
    private Integer resultType;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
