package com.fjhx.entity.excel;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author ${author}
 * @since 2022-12-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ExcelImportFailLine extends BaseEntity {


    /**
     * excel导入记录id
     */
    private Integer excelImportLogId;

    /**
     * 行号
     */
    private Integer lineNumber;

    /**
     * 失败原因
     */
    private String failReason;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
