package com.fjhx.entity.excel;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author ${author}
 * @since 2022-12-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ExcelImportLog extends BaseEntity {

    /**
     * 业务类型
     */
    private Integer businessType;

    /**
     * 状态 （0初始化 1成功 2失败 3导入时手动停止 4成功后被删除）
     */
    private Integer status;

    /**
     * 文件名
     */
    private Long fileId;

    /**
     * 文件名
     */
    private String fileName;

    /**
     * 文件路径
     */
    private String filePath;

    /**
     * 执行时间（秒）
     */
    private Long executeTime;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
