package com.fjhx.entity.form;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author ${author}
 * @since 2022-12-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FormOverflowLoss extends BaseEntity {


    /**
     * 1溢 2损
     */
    private Integer type;

    /**
     * 编码
     */
    private String code;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 金额
     */
    private BigDecimal amount;

    /**
     * 原因
     */
    private String remarks;

    /**
     * 业务类型 1盘点
     */
    private Integer businessType;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
