package com.fjhx.entity.quality;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 质检
 * </p>
 *
 * @author ${author}
 * @since 2023-02-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class QualityInfo extends BaseEntity {


    /**
     * 质检单号
     */
    private String code;

    /**
     * 采购单id
     */
    private Long logisticsInfoId;

    /**
     * 采购单编号
     */
    private String logisticsInfoCode;

    /**
     * 状态 1未质检 2部分质检 3已质检
     */
    private Integer status;

    /**
     * 质检结果 1合格 0不合格
     */
    private Integer resultType;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
