package com.fjhx.entity.system;

import com.fjhx.base.BaseIdEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 参数配置表
 * </p>
 *
 * @author ${author}
 * @since 2022-12-08
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class SystemConfig extends BaseIdEntity {

    /**
     * 参数说明
     */
    private String configName;

    /**
     * 参数键名
     */
    private String configKey;

    /**
     * 参数键值
     */
    private String configValue;

    /**
     * 备注
     */
    private String remark;


}
