package com.fjhx.params.logistics;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class DeliverDetailsVo {

    /**
     * 采购id
     */
    private Long purchaseId;

    /**
     * 申购id
     */
    private Long applyPurchaseId;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 产品编号
     */
    private String productCode;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 申购数量
     */
    private BigDecimal purchaseQuantity;

    /**
     * 已发数量
     */
    private BigDecimal deliverQuantity;

}
