package com.fjhx.params.order;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fjhx.params.excel.BaseExcelVo;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data
public class OrderJdExcelVo extends BaseExcelVo {

    @ExcelProperty("采购单号")
    private String code;

    @ExcelProperty("商品编号")
    private String productCode;

    @ExcelProperty("详细地址")
    private String detailedAddress;

    @ExcelProperty("收货负责人")
    private String contacts;

    @ExcelProperty("收货电话")
    private String phone;

    @ExcelProperty("采购价格")
    private BigDecimal price;

    @ExcelProperty("采购数量")
    private BigDecimal quantity;

    @ExcelProperty("订购时间")
    private Date orderTime;

    @ExcelProperty("配送中心")
    private String distributionCenter;

    @ExcelProperty("京东仓库")
    private String jdWarehouse;

}
