package com.fjhx.params.quality;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class QualityInfoPageVo {

    /**
     * 质检id
     *
     * @table quality_info
     * @field id
     */
    private Long id;

    /**
     * 状态 1未质检 2部分质检 3已质检
     *
     * @table quality_info
     * @field status
     */
    private Integer status;

    /**
     * 物流/快递单号
     *
     * @table logistics_info
     * @field code
     */
    private String logisticsInfoCode;

    /**
     * 采购人id
     *
     * @table purchase
     * @field create_user
     */
    private Long createUser;

    /**
     * 采购人名称
     */
    private String createUserName;

    /**
     * 采购时间
     *
     * @table purchase
     * @field create_time
     */
    private Date createTime;

    /**
     * 采购单号
     *
     * @table purchase
     * @field code
     */
    private String code;

    /**
     * 供应商
     *
     * @table supplier
     * @field name
     */
    private String supplierName;

    /**
     * 物流公司
     *
     * @table logistics_company
     * @field name
     */
    private String logisticsCompanyName;

    /**
     * 物流编码
     *
     * @table logistics_company
     * @field code
     */
    private String logisticsCompanyCode;

}
