package com.fjhx.params.stock;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@Setter
public class GetQuantityByWarehouseIdDto {

    /**
     * 产品组合id
     */
    @NotNull(message = "组合产品id不能为空")
    private Long productId;

    /**
     * 半成品所在仓库id
     */
    @NotNull(message = "半成品所在仓库id不能为空")
    private Long sourceWarehouseId;

}
