package com.fjhx.mapper.quality;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.quality.QualityTesting;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 质检 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-09-26
 */
public interface QualityTestingMapper extends BaseMapper<QualityTesting> {

    Page<Map<String, Object>> getPage(@Param("page") Page<Object> page, @Param("ew") QueryWrapper<Object> wrapper);

    Map<String, Object> recordStatistics(@Param("ew") QueryWrapper<Object> wrapper);

    Page<Map<String, Object>> recordPage(@Param("page") Page<Object> page, @Param("ew") QueryWrapper<Object> wrapper);

}
