package com.fjhx.mapper.v3;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.fjhx.entity.v3.V3Plan;
import com.fjhx.params.v3.MaterialMath;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-10-26
 */
public interface V3PlanMapper extends BaseMapper<V3Plan> {

    /**
     * 出库
     */
    List<MaterialMath> issue(@Param("ew") QueryWrapper<Object> wrapper);

    /**
     * 回仓
     */
    List<MaterialMath> back(@Param("ew") QueryWrapper<Object> wrapper);

    /**
     * 转入
     */
    List<MaterialMath> in(@Param(Constants.WRAPPER) QueryWrapper<Object> wrapper);

    /**
     * 转出
     */
    List<MaterialMath> out(@Param(Constants.WRAPPER) QueryWrapper<Object> likeRight);

}
