package com.fjhx.mapper.water;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.water.WaterTag;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 标签 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-09-21
 */
public interface WaterTagMapper extends BaseMapper<WaterTag> {

    Page<Map<String, Object>> getPage(@Param("page") Page<Object> page, @Param("ew") QueryWrapper<WaterTag> wrapper);

    Map<String, Object> getDetailsByQrCode(@Param("qrCode") String qrCode);

    Map<String, Object> getDetailsByRfid(@Param("rfidCode") String rfidCode);

}
