package com.fjhx.material.controller;

import com.fjhx.params.material.EditMaterialCategoryVo;
import org.springblade.core.tool.api.R;
import com.fjhx.material.service.MaterialCategoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 物料分类 前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-11-23
 */
@RestController
@RequestMapping("/materialCategory")
public class MaterialCategoryController {

    @Autowired
    private MaterialCategoryService materialCategoryService;


    @PostMapping("edit")
    public R edit(@RequestBody EditMaterialCategoryVo editMaterialCategoryVo) {
        boolean flag = materialCategoryService.edit(editMaterialCategoryVo);
        return R.success(flag);
    }


}

