package com.fjhx.message.service;

import com.fjhx.entity.message.UMessage;
import com.fjhx.base.BaseService;
import com.fjhx.entity.supplier.Supplier;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 消息提醒 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-29
 */
public interface UMessageService extends BaseService<UMessage> {

    /**
     * 获取消息分类
     * @param condition
     * @return
     */
    List<Map<String,Object>> getClassMessage(Map<String,Object> condition);

    /**
     * 列表
     *
     * @param condition
     * @return
     */
    List<UMessage> getList(Map<String, Object> condition);

    /**
     * 列表-总条数
     *
     * @param condition
     * @return
     */
    Integer getListCount(Map<String, Object> condition);
}
