package com.fjhx.message.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.message.mapper.UMessageMapper;
import com.fjhx.message.service.UMessageService;
import com.fjhx.utils.WrapperUtil;
import com.fjhx.entity.message.UMessage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 消息提醒 服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-29
 */
@Service
public class UMessageServiceImpl extends ServiceImpl<UMessageMapper, UMessage> implements UMessageService {

    /**
     * 获取分类
     * @param condition
     * @return
     */
    @Override
    public List<Map<String, Object>> getClassMessage(Map<String, Object> condition) {
        return baseMapper.getClassMessage(condition);
    }

    /**
     * 列表
     * @param condition
     * @return
     */
    @Override
    public List<UMessage> getList(Map<String, Object> condition) {
        return baseMapper.getList(condition);
    }

    /**
     * 列表条数
     * @param condition
     * @return
     */
    @Override
    public Integer getListCount(Map<String, Object> condition) {
        return baseMapper.getListCount(condition);
    }
}
