package com.fjhx.mapper.production;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.production.ProductionLine;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.params.production.ProductionLineEx;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 生产线 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-06-28
 */
public interface ProductionLineMapper extends BaseMapper<ProductionLine> {

    Page<ProductionLineEx> getPage(@Param("page") Page<ProductionLine> page, @Param("ew") QueryWrapper<?> wrapper);

}
