package com.fjhx.controller.excel;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.Condition;
import com.fjhx.entity.excel.ExcelImportLog;
import com.fjhx.service.excel.ExcelImportLogService;
import org.springblade.core.tool.api.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-12-07
 */
@RestController
@RequestMapping("/excelImportLog")
public class ExcelImportLogController {

    @Autowired
    private ExcelImportLogService excelImportLogService;

    @PostMapping("page")
    public R page(@RequestBody Condition condition) {
        Page<ExcelImportLog> result = excelImportLogService.getPage(condition);
        return R.data(result);
    }

}
