package com.fjhx.mapper.order;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.order.OrderInfo;
import com.fjhx.params.order.OrderInfoEx;
import com.fjhx.utils.wrapperUtil.IWrapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 销售订单 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-12-13
 */
public interface OrderInfoMapper extends BaseMapper<OrderInfo> {

    Page<OrderInfoEx> getPage(@Param("page") Page<OrderInfo> page, @Param("ew") IWrapper<Object> wrapper);

    OrderInfoEx getDetails(@Param("ew") QueryWrapper<OrderInfo> wrapper);

}
