package com.fjhx.mapper.supplier;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.supplier.SupplierPrice;
import com.fjhx.utils.wrapperUtil.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 供应商价格 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-11-25
 */
public interface SupplierPriceMapper extends BaseMapper<SupplierPrice> {

    Page<Map<String, Object>> getPage(@Param("page") Page<SupplierPrice> page, @Param("ew") IWrapper<Map<String, Object>> wrapper);

}
