package com.fjhx.service.form;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.base.Condition;
import com.fjhx.entity.form.FormOverflowLoss;

import java.math.BigDecimal;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-12-27
 */
public interface FormOverflowLossService extends BaseService<FormOverflowLoss> {

    Page<Map<String, Object>> getPage(Condition condition);

    /**
     * 报溢
     *
     * @param businessType
     * @param businessId
     * @param warehouseId
     * @param amount
     * @param remarks
     */
    void addOverflow(Integer businessType, Long businessId, Long warehouseId, BigDecimal amount, String remarks);

    /**
     * 报损
     *
     * @param businessType
     * @param businessId
     * @param warehouseId
     * @param amount
     * @param remarks
     */
    void addLoss(Integer businessType, Long businessId, Long warehouseId, BigDecimal amount, String remarks);

}
