package com.fjhx.service.stock;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.Condition;
import com.fjhx.entity.stock.StockTransfer;
import com.fjhx.params.stock.StockTransferAddVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 * 调仓 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-12-14
 */
public interface StockTransferService extends BaseService<StockTransfer> {

    Page<Map<String, Object>> getPage(Condition condition);

    void add(StockTransferAddVo stockTransferAddVo);

    void receive(StockTransfer stockTransfer);

}
